/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui;

/**
 * User interface related constants of the management console web app.
 */
public class UIConstants {

    public final static String USER = "user";

    public final static String LOGIN_ACTION = "Login.action";

    public final static String LOGIN_JSP = "/jsp/login.jsp";

    public final static String JSP_ERROR_PAGE = "/jsp/error.jsp";

    public final static String CLAIM_UPDATE_ENABLE = "enable";

    public final static String CLAIM_UPDATE_DISABLE = "disable";

    public final static String CLAIM_UPDATE_DISP_TAG = "claimDisplayTag";

    public final static String CLAIM_UPDATE_DESCRIPTION = "claimDescription";

    public final static String CLAIM_UPDATE_OPERATION = "operation";

    public final static String CLAIM_UPDATE_URI = "claimUri";

    public final static String UI_I18N_Properties = "org.wso2.solutions.identity.admin.ui.i18n";

    public final static String REALM_CLASS_NAME = "realmClassName";

    public final static String REALM_CONFIG_PROPERTIES = "realmConfigurationProperties";

    public final static String NEW_REALM_CONFIG_ERROR = "newRealmConfigErrorProperties";

    public final static String NEW_REALM_CONFIG_NAME = "realmConfigName";

    public final static String TVS_IDP_ID = "idp.id";

    public final static String TVS_RP_NAME = "username";
    
    public final static String SAML10 = "SAML10";
    
    public final static String SAML11 = "SAML11";
    
    public final static String SAML20 = "SAML20";
    
    public final static String OPENID = "OpenId";
    
    public final static String MESSAGES = "mainMessages";
      
    public final static String REPORT_USAGE = "usage";
    public final static String REPORT_FAIL_CI = "cifail";
    public final static String REPORT_FAIL_TI = "tifail";
   
    public final static String REPORT_TOKEN_USER ="tokensByUser";
    public final static String REPORT_TOKEN_CARD = "tokensByCard";
    public final static String REPORT_TOKEN_CARD_USER ="tokensByCardAndUser";
    public final static String REPORT_CARD_USER ="cardsByUser";
    public final static String REPORT_OpenID_USER ="openIDByUser";
    
    
}
