<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">

					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | Card Issuer Configuration</div>
				<h1 class="headding-CardIssuer">Card Issuer Configuration</h1>
				
				<table cellpadding="0" cellspacing="0" border="0" class="data-table">
				<!-- <tr><td>Card Issuer Name</td><td><s:property value="issuer" /></td></tr> -->
					<tr><th>Card Name</th><td><s:property value="cardName" /></td></tr>
					<tr><th>Valid Period</th><td><s:property value="validPeriod" /></td></tr>
					<tr><th style="width:220px;">Supporting Token Types</th><td><s:property value="tokenTypes"/></td></tr>
					<tr><th>Symmetric binding used</th><td>
						<s:if test="%{useSymmBinding}">enabled</s:if>
	                    <s:else>disabled</s:else>
					</td></tr>
				</table>
				
				<s:url id="editCardIssuerConfigUrl" namespace="/" action="EditCardIssuer"/>
				<br><br>
				<s:a href="%{editCardIssuerConfigUrl}">Edit Card Issuer Configuration</s:a><br>
				<br><br>
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>