<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>


<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a>  | Claim Mappings</div>
				<h1 class="headding-token">Claim Mappings</h1>
					<!-- Put your content here -->
					<p>To enable/disable claims you can use the <a href="ShowClaims.action">Define Claims</a> view.
					<table cellpadding="0" cellspacing="0" border="0" class="data-table">
					<tr><th>Display Name</th><th>Claim URI</th><th>Mapped To</th></tr>
					<s:iterator value="supportedClaims">
						<s:if test="%{userEditable}">
							<s:url id="editClaimUri" namespace="/" action="ShowEditClaimMapping">
							<s:param name="claimUri" value="uri" />
							</s:url>
							<tr>
							<td><s:a href="%{editClaimUri}"><s:property value="displayTag" /></s:a></td> 
							<td><s:property value="uri" /></td> 
							<td><s:if test="%{mapped}"><s:property value="attrId" /></s:if><s:else>[Not mapped]</s:else></td>
							</tr>
						</s:if>
					</s:iterator>
					</table>
					<!-- Put your content here -->
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>