package org.wso2.solutions.identity.admin.ui.action;

import java.util.List;

import org.wso2.solutions.identity.admin.ReportAdmin;
import org.wso2.solutions.identity.admin.ui.UIConstants;

import com.opensymphony.xwork2.ActionSupport;

public class ReportSummaryAction extends ActionSupport {

    private String type = null;
    private List dataList = null;

    public String execute() throws Exception {
        ReportAdmin admin = new ReportAdmin();
        if (UIConstants.REPORT_TOKEN_USER.equals(type)) {
            dataList = admin.getTokensGroupedByUser();
        } else if (UIConstants.REPORT_TOKEN_CARD.equals(type)) {
            dataList = admin.getTokensGroupedByCardId();
        } else if (UIConstants.REPORT_TOKEN_CARD_USER.equals(type)) {
            dataList = admin.getTokensGroupedByCardAndUser();
        } else if (UIConstants.REPORT_CARD_USER.equals(type)) {
            dataList = admin.getCardIdsGroupedByUser();
        } else if (UIConstants.REPORT_OpenID_USER.equals(type)) {
            dataList = admin.getOpenIDsGroupedByUser();
        }

        return SUCCESS;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List getDataList() {
        return dataList;
    }

    public void setDataList(List dataList) {
        this.dataList = dataList;
    }

}
