<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<script>
function showhide(id){
	var to_showhide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block') to_showhide.style.display='none';
	else to_showhide.style.display='block';
}
function showhideForm(id){
var to_showhide=document.getElementById(id+'-form');
var to_hide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block'){
	 to_showhide.style.display='none';
	}
	else{
	 to_showhide.style.display='block';
	 to_hide.style.display='none';
	}
}
</script>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | Supported Claims</div>

				<h1 class="headding-claims">Supported Claims</h1>
					
                <s:iterator value="errorMessages">
                     <div class="error-message"><s:property /></div>
                </s:iterator>
                
                <s:iterator value="infoMessages">
                     <div class="info-message"><s:property /></div>
                </s:iterator>
            
				    		<div class="addclaim-form" style="border:none;padding-bottom:5px;" align="right"><a href="#" onclick="showhide(1000)" class="newitem-right-link">Click here to add a new Dialect</a></div>
						<div class="addclaim-form" id="1000-content" style="display:none;">
							<s:form theme="simple" action="AddNewDialect">
								<table cellpadding="0" cellspacing="10" border="0" class="fom-table">
									<tr><td>Dialect URI <span style="color:red">*</span> </td><td><input type="text" name="dialectUri"/></td></tr>
									<tr><td>Dialect Info <span style="color:red">*</span> </td><td><input type="text" name="dialectInfo"/></td></tr>
									<tr><td></td><td><s:submit value="Add" align="left" cssClass="button" /></td></tr>
								</table>
							</s:form>
						</div>
				    
				
				    <s:iterator value="dialects" status="stat">
				    	
						<div onclick="showhide(this.id)" id="<s:property value="#stat.index" />">
							
								<table cellpadding="0" cellspacing="0" border="0" class="data-table" style="margin-bottom:0px;border-bottom:none;">
									<tr>
										<th style="border-bottom:none" colspan="2">Dialect URI: <span style="font-weight:normal"><s:property value="dialectUri" /></span></th>
									</tr>
									<tr>
						         		<th colspan="2">Dialect Info: <span style="font-weight:normal"><s:property value="dialectInfo" /></span></th>
						         		</tr>
						         	</table>
						         	
						</div>
						<div class="addclaim-form"><a class="newitem-link" style="margin-top:0px;" href="#addClaim" onclick="showhideForm(<s:property value="#stat.index" />)">Click here to add a new claim</a></div>
						<div class="addclaim-form" id="<s:property value="#stat.index" />-form" style="display:none;">
							<form action="AddNewClaim.action?dialectUri=<s:property value="dialectUri"/>" method="post">
								<table cellpadding="0" cellspacing="10" border="0" class="fom-table">
									<tr><td>Claim URI <span style="color:red">*</span> </td><td><input type="text" name="claimUri" /></td></tr>
									<tr><td>Display Tag <span style="color:red">*</span> </td><td><input type="text" name="claimDisplayTag" /></td></tr>
									<tr><td>OpenID Tag </td><td><input type="text" name="openIDTag" /></td></tr>
									<tr><td>Description <span style="color:red">*</span> </td><td><input type="text" name="claimDescription" /></td></tr>
									<tr><td></td><td><s:submit value="Add" align="left" cssClass="button" /></td></tr>
								</table>
							</form>
							<a name="addClaim"></a>
						</div>
				         	<div id="<s:property value="#stat.index" />-content" style="display:block;">
				         		<table cellpadding="0" cellspacing="0" border="0" class="data-table">
					        	<s:iterator value="dialectClaims">
					        	<s:if test="%{userEditable}">
								<tr>
									<td width="300" <s:if test="supported">class="selected-row"</s:if>>
										<div style="font-weight:bold;line-height:18px;"><s:property value="displayTag" /></div>
										<div style="line-height:18px;"><s:property value="uri" /></div>
										<div style="line-height:18px;"><s:property value="description" /></div>
										<s:if test="openIDTag!=null"><div style="line-height:18px;"><img border="0" src="images/openid-input.gif" alt="OpenID supported claim"/></div></s:if>
									</td>
									<td valign="middle" <s:if test="supported">class="selected-row"</s:if>>
										<ul class="button-list">
											<!-- li><a alt="Edit Claim" href="claims-edit-view.jsp?claimUri=<s:property value="uri" />"><img border="0" src="images/icon-edit.gif"/></a></li -->
											<s:if test="supported">
												<li><a alt="Disable Claim" href="UpdateClaim.action?claimUri=<s:property value="uri" />&operation=disable"><img border="0" src="images/icon-enable.gif"/></a></li>
											</s:if>
											<s:else>
												<li><a alt="Enable Claim" href="UpdateClaim.action?claimUri=<s:property value="uri" />&operation=enable"><img border="0" src="images/icon-disable.gif"/></a></li>
											</s:else>	  	
									  	</ul>
									</td>
								</tr>
								</s:if>
							</s:iterator>
							</table>
						</div>
				    </s:iterator>
				    <div style="height:10px;" />

				
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>