<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<script>
function showhide(id){
	var to_showhide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block') to_showhide.style.display='none';
	else to_showhide.style.display='block';
}
function showhideForm(id){
var to_showhide=document.getElementById(id+'-form');
var to_hide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block'){
	 to_showhide.style.display='none';
	}
	else{
	 to_showhide.style.display='block';
	 to_hide.style.display='none';
	}
}
</script>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">

					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | Card Issuer Configuration</div>
				<h1 class="headding-statistics">Token Details</h1>
					<s:if test="%{type eq 'tokensByUser'}">
						<table cellpadding="0" cellspacing="0" border="0" class="data-table">
               				<tr>
               					<th>CardId</th>
               					<th>Valid Period</th>
               					<th>Token Type</th>
               				</tr>
                			<s:iterator value="dataList"  status="status">
	            				<tr>
	              					<td><s:property value="cardId" /></td>
	            					<td><s:property value="validPeriod" /></td>
	            					<td><s:property value="tokenType" /></td>
	            				</tr>
	            			</s:iterator>
                		</table>
                	</s:if>
                	<s:if test="%{type eq 'tokensByCard'}">
                		<table cellpadding="0" cellspacing="0" border="0" class="data-table">
               				<tr>
               					<th>UserId</th>
               					<th>Valid Period</th>
               					<th>Token Type</th>
               				</tr>
                			<s:iterator value="dataList"  status="status">
	            				<tr>
	              					<td><s:property value="userId" /></td>
	            					<td><s:property value="validPeriod" /></td>
	            					<td><s:property value="tokenType" /></td>
	            				</tr>
	            			</s:iterator>
                		</table>
                	</s:if>
                	<s:if test="%{type eq 'tokensByCardAndUser'}">
                		<table cellpadding="0" cellspacing="0" border="0" class="data-table">
               				<tr>
               					<th>Valid Period</th>
               					<th>Token Type</th>
               				</tr>
                			<s:iterator value="dataList"  status="status">
	            				<tr>
	              					<td><s:property value="validPeriod" /></td>
	            					<td><s:property value="tokenType" /></td>
	            				</tr>
	            			</s:iterator>
                		</table>
                	</s:if>
                	
                	
                	<s:if test="%{type eq 'tokensByUser'}">
						<s:a href="ReportTokenByUser.action?type=tokensByUser" cssClass="back-link">Back</s:a>
                	</s:if>
                	<s:elseif test="%{type eq 'tokensByCard'}">
                		<s:a href="ReportTokenByUser.action?type=tokensByCard" cssClass="back-link">Back</s:a>
                	</s:elseif>
                	<s:elseif test="%{type eq 'tokensByCardAndUser'}">
                		<s:a href="ReportTokenByUser.action?type=tokensByCardAndUser" cssClass="back-link">Back</s:a>
                	</s:elseif>
                	<s:else>
 						<s:a href="ShowStatistics.action" cssClass="back-link">Back</s:a>
 					</s:else>
 					
            							
		   </td>
		</tr>	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>