<%@ taglib prefix="s" uri="/struts-tags"%>
<%@page import="org.wso2.utils.ServerConfiguration"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />

<%
ServerConfiguration serverConfig = null;
String httpsPort = null;
serverConfig = ServerConfiguration.getInstance();
httpsPort = serverConfig.getFirstProperty("Ports.HTTPS");
%>

<script type="text/javascript" language="JavaScript">
function redirectToHttps(httpsPort) {
    var locationString = self.location.href;
    var _tmpURL = locationString.substring(0, locationString.lastIndexOf('/'));
    if (_tmpURL.indexOf('https') == -1) {
        //Re-direct to https
        var redirectUrl = "https://" + self.location.hostname +":"+httpsPort;        
        redirectUrl += "/ShowLogin.action";
        window.location = redirectUrl;
    }
}
</script>

</head>
<body onload="redirectToHttps('<%=httpsPort%>');">
<!-- Include the header -->
<s:include value="header.jsp" />

<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
	<tr>
		<td class="right-back"></td>
		<td class="content" valign="top">
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
			<tr>
				<td>
				<h1>WSO2 Identity Provider</h1>
				</td>
				<td align="right" valign="top"><img
					src="images/wso2-identity-content-rounded.jpg" align="top" /></td>
			</tr>
		</table>

		<br>

		<s:iterator value="errorMessages">
			<div class="error-message"><s:property /></div>
		</s:iterator> <s:iterator value="infoMessages">
			<div class="info-message"><s:property /></div>
		</s:iterator>
		<table cellpadding="0" cellspacing="10" border="0"
			class="login-header">
			<tr>
				<td valign="top" width="30%"><strong>Login with
				Username and Password</strong> <s:form action="Login.action" theme="simple"
					method="POST">
					<div class="errors"><s:actionerror /> <s:fielderror /></div>
					<table cellpadding="0" cellspacing="10" border="0">
						<tr>
							<td>Username</td>
							<td><s:textfield name="username" label="Login name"
								cssClass="text-box-normal" /></td>
						</tr>
						<tr>
							<td>Password</td>
							<td><s:password name="password" label="Password"
								cssClass="text-box-normal" /></td>
						</tr>
						<tr>
							<td></td>
							<td><s:submit value="Login" align="left" cssClass="button" /></td>
						</tr>
					</table>
				</s:form></td>
				<td><img src="images/line-sep.png" height="150" width="2" /></td>
				<td valign="top">
				<table>
					<tr>
						<td><strong>Login with your Information Card</strong>
						<div><a href="/InfoCardLogin.action"
							title="Login with your Information Card"><img
							src="images/infocard_114x80.png" align="left"
							style="margin-right: 10px;" border="0" /></a> you can only login
						with a personal information card that you have already registered.
						If you have not registered a personal information card please
						first login with your username and password and register a card.</div>
						</td>
					</tr>
                   <s:if test="%{enableOpenIDRegistration}">
					<tr>
						<td valign="top"><br />
						<br />
						<strong>Login with your OpenID</strong>
						<div>you can login with your OpenID which you obtained by
						any trusted OpenID provider</div>
						<div><a href="/OpenIDLogin.action"
							title="Login with your OpenId"><img
							src="images/openid-logo.gif" align="left"
							style="margin-right: 10px" border="0" /></a></div>
						</td>
					</tr>
                   </s:if>
				</table>

				</td>
			</tr>

		</table>
		<s:if test="%{allowUserRegistration}">
			<div><strong>Don't have a Login?</strong><br />
			<br />
			Sign up is easy. <a href="ShowUserRegistration.action">Sign Up</a></div>
		</s:if></td>
	</tr>
</table>

<!-- Include footer -->
<s:include value="footer.jsp" />

</body>

</html>
